%global debug_package %{nil}

%global commit 5936c62511305227fbd59b2d5a43aaf89ec3a0b6
%global date 20220215
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           cnmatrix
Version:        0.0^%{date}git%{shortcommit}
Release:        1%{?dist}
Summary:        A consistent C interface to a few matrix backends
License:        MIT
URL:            https://github.com/cntools/cnmatrix

Source0:        %{url}/archive/%{commit}.tar.gz#/%{name}-%{shortcommit}.tar.gz

BuildRequires:  cmake
BuildRequires:  eigen3-devel
BuildRequires:  gcc-c++

%description
This library provides a consistent C interface to a few matrix backends.

The interface itself is a little more sane than raw lapack / blas calls, and is
meant to be reasonably performant for medium to large matrices. It should also
be cross platform and work reasonably well on embedded low latency systems; as
it consistently tries to avoid heap allocations.

%package        devel
Summary:        Development files for %{name}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup -n %{name}-%{commit}

%build
%cmake
%cmake_build

%install
%cmake_install
mv %{buildroot}%{_prefix}/lib/lib%{name}.a %{buildroot}%{_libdir}/
rm -fr %{buildroot}%{_prefix}/lib

%files devel
%license LICENSE
%doc README.md
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.a
%{_libdir}/pkgconfig/%{name}.pc

%changelog
* Sat Dec 14 2024 Simone Caronni <negativo17@gmail.com> - 0.0^20220215git5936c62-1
- First build.
